//Altear o valor do "top" da classe ".product-images" para refletir a altura do header + padding de página

.product-images {
  width: 100%;
  position: relative;

  @include media("md") {
    position: sticky;
    top: calc(13.7rem + 4rem); // Altura do header + padding da página
    display: flex;
    flex-wrap: wrap;
  }

  > .slider-thumbs {
    width: 10rem;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: none;

    @include media("md") {
      display: block;
    }
  }

  > .slider-thumbs .swiper-slide {
    height: fit-content;
    border: 1px solid transparent;
    padding: 0.8rem;
    transition: border-color 0.1s;
    cursor: pointer;

    &.swiper-slide-thumb-active,
    &:hover {
      border-color: var(--gray-4);
    }
  }

  > .slider-thumbs .image {
    pointer-events: none;

    &::after {
      padding-bottom: var(--product-image-height);
    }

    img {
      pointer-events: none;
    }
  }

  > .main-slider {
    width: 100%;

    @include media("md") {
      width: calc(100% - 10.8rem);
      margin-left: auto;
      margin-right: 0;
    }

    // Label do zoom
    &.swiper-initialized::after {
      content: "Toque duas vezes para zoom";
      position: absolute;
      z-index: 5;
      bottom: 1rem;
      left: 50%;
      transform: translateX(-50%);
      display: inline-block;
      padding: 0.4rem 1.4rem;
      border-radius: 1rem;
      background-color: var(--gray-3);
      opacity: 0.8;
      font-size: 1rem;
      color: var(--white);
      white-space: nowrap;

      @include media("md") {
        content: "Clique duas vezes para zoom";
      }
    }

    &.swiper-initialized.-single-click::after {
      @include media("md") {
        content: "Clique para zoom";
      }
    }

    // Texto do label quando está definido como zoom no hover
    &.-hover-zoom {
      &::after {
        @include media("md") {
          content: "Passe o mouse para zoom";
        }
      }

      .swiper-slide.-zoomed {
        cursor: zoom-in !important;
      }
    }
  }

  > .main-slider .swiper-slide {
    cursor: zoom-in;
    overflow: hidden;

    &.-zoomed {
      cursor: zoom-out;
      .image {
        transition: transform 0.05s linear !important;
      }
    }
  }

  > .main-slider .image img {
    object-fit: cover !important;
  }

  // Garante funcionamento do zoom, e ajusta proporção
  > .main-slider .swiper-slide .image,
  > .main-slider .swiper-slide .video {
    overflow: unset;

    &::after {
      padding-bottom: var(--product-image-height);
    }
  }

  // Slides inativos/escondidos conforme troca de SKU
  > .slider-thumbs .swiper-slide,
  > .main-slider .swiper-slide {
    &.-inactive {
      display: none;
    }
  }

  > .main-slider .swiper-button-next {
    right: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;

    @include media("md") {
      right: 1rem;
      border-top-right-radius: 0.4rem;
      border-bottom-right-radius: 0.4rem;
    }
  }

  > .main-slider .swiper-button-prev {
    left: 0;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;

    @include media("md") {
      left: 1rem;
      border-top-left-radius: 0.4rem;
      border-bottom-left-radius: 0.4rem;
    }
  }

  > .swiper-pagination {
    position: static !important;
    min-height: 1.4rem;
    width: 90% !important;
    margin: 2.4rem auto 0 !important;

    @include media("md") {
      width: calc(100% - 10.8rem) !important;
      margin-left: auto !important;
      margin-right: 0 !important;
      display: none;
    }
  }
}
